Show / Hide Table of Contents

# Class OpenIddictValidationEvents.BaseContext

Represents an abstract base class used for certain event contexts.

##### Inheritance

System.Object
OpenIddictValidationEvents.BaseContext
OpenIddictValidationEvents.BaseRequestContext

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Validation

###### Assembly: cs.temp.dll.dll

##### Syntax

    public abstract class BaseContext

### Constructors

#### BaseContext(OpenIddictValidationTransaction)

Creates a new instance of the OpenIddictValidationEvents.BaseContext class.

##### Declaration

    protected BaseContext(OpenIddictValidationTransaction transaction)

##### Parameters

Type | Name | Description
--- | --- | ---
OpenIddictValidationTransaction | transaction |

### Properties

#### EndpointType

Gets or sets the endpoint type that handled the request, if applicable.

##### Declaration

    public OpenIddictValidationEndpointType EndpointType { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictValidationEndpointType |

#### Issuer

Gets or sets the issuer address associated with the current transaction, if available.

##### Declaration

    public Uri? Issuer { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<Uri> |

#### Logger

Gets the logger responsible of logging processed operations.

##### Declaration

    public ILogger Logger { get; }

##### Property Value

Type | Description
--- | ---
ILogger |

#### Options

Gets the OpenIddict validation options.

##### Declaration

    public OpenIddictValidationOptions Options { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictValidationOptions |

#### Transaction

Gets the environment associated with the current request being processed.

##### Declaration

    public OpenIddictValidationTransaction Transaction { get; }

##### Property Value

Type | Description
--- | ---
OpenIddictValidationTransaction |